<?php	
echo "<div class=\"contentn\">";

//Get Total Results//
$GetTotal_Command = "SELECT * FROM player_sprays";
$GetTotal_Query = mysqli_query($MYSQLConnection, $GetTotal_Command) or die("Error Getting Total Sprays");
$GetTotal_rows = mysqli_num_rows($GetTotal_Query);
mysqli_free_result($GetTotal_Query);

//Get Total Pages//
$TotalPages = ceil($GetTotal_rows/$ItemsPerPage);
$TotalPagesFormat = number_format($TotalPages);

//Get Page Number//
$GetPageNum = mysqli_real_escape_string($MYSQLConnection,($_GET['p']));
$GetPageNum = intval($GetPageNum);

$Error = 0;

//Check Page Number//
if(!isset($_GET['p'])) {
	$Current_Page = 1;
	$Current_PageFormat = 1;
} else if(($GetPageNum != "") && (IsNum($GetPageNum)) && ($GetPageNum >= 1) && ($GetPageNum <= $TotalPages)) {
	$Current_Page = $GetPageNum;
	$Current_PageFormat = number_format($Current_Page);
} else {
	$Error = 1;
	echo "Invalid Page Number. Being Redirected.";
	echo "<meta http-equiv=\"refresh\" content=\"2;url=./?page=spraylist\">";
	die();
}
	
if($Error == 0) {
	//Set Limit For Pagination//
	$Paginate_Limit = (($Current_Page - 1) * $ItemsPerPage);
	
	echo "<ul>";
	
	//Get Sprays//
	$GetSprays_Command = "SELECT name, steamid, spray_file FROM player_sprays ORDER BY last_sprayed DESC LIMIT $Paginate_Limit, $ItemsPerPage";
	$GetSprays_Query = mysqli_query($MYSQLConnection, $GetSprays_Command) or die("Error Getting Recent Sprays");
	while($GetRow = mysqli_fetch_array($GetSprays_Query))
	{
		echo "<li class=\"contentn\">Spray By: <a class=\"contentno\" href=\"./?page=spray&spray=".$GetRow['spray_file']."&id=".$GetRow['steamid']."\">".$GetRow['name']."</a> (<a class=\"contentn\" href=\"http://steamcommunity.com/profiles/".GetFriendID($GetRow['steamid'])."\" target=\"_blank\">".$GetRow['steamid']."</a>)</li>\n";
	}
	mysqli_free_result($GetSprays_Query);
	
	//End//
	echo "</ul><br />\n";
	
	//Build Buttons//
	if($TotalPages <= 1)
	{
	//only 1 page//
		echo "<div align='center'>Page 1 of 1</div>\n";	
	} else {
	//Build first and previous buttons//
		echo "<p>";
		echo "<table width='100%' border='0' cellspacing='0' cellpadding='2'>\n";
		echo "  <tr valign=\"middle\">\n";
		echo "    <td width=\"460px\" style=\"text-align:right;\">";
		if ($Current_Page != 1)
		{	
			echo "<a href='./?page=spraylist&p=1'>&laquo;&laquo; First</a>";	
			$PgntFuc_Prev = $Current_Page - 1;
			echo "<a href='?page=spraylist&p=".$PgntFuc_Prev."'> &laquo; Previous</a>";
		}
		echo "</td>\n";
	//Current Page//
		echo "    <td width=\"160px\" style=\"text-align:center;\">";
		echo "Page ".$Current_PageFormat." of ".$TotalPagesFormat;
		echo "</td>\n";
	//Build last and next buttons//
		echo "    <td width=\"460px\" style=\"text-align:left;\">";
		if ($Current_Page != $TotalPages)
		{
			$PgntFuc_Next = $Current_Page + 1;
			echo "<a href='?page=spraylist&p=".$PgntFuc_Next."'> Next &raquo;</a>"; 
			echo "<a href='?page=spraylist&p=".$TotalPages."'> Last &raquo;&raquo;</a>";	
		}
		echo "</td>\n";
		echo "  </tr>\n";
		echo "</table>";
		echo "</p>";
	}
}

echo "</div>";
?>