<?php
$SPRAYPATH = "/home/srcds/orangebox/tf/downloads/";
$WEBPATH = "/var/www/sprays/";
$SPRAYID = $_GET["spray"];

if(!preg_match("/^[0-9a-fA-F]+$/", $SPRAYID))
{ 
	echo "Invalid spray ID<br />";
} else if(!file_exists($SPRAYPATH . $SPRAYID . ".dat"))
{
	echo "Spray file does not exist<br />";
} else {
	$dest = $WEBPATH . $SPRAYID . ".vtf";
	if(!file_exists("{$dest}.gif")) {
		copy($SPRAYPATH . $SPRAYID . ".dat" , $dest);
		if(file_exists($dest)) {
			echo "Converting...<br />";
			exec("/usr/local/bin/vtfconv ".$dest, $out);
			
			$derp = 0;
			$src = array();
			
			while(file_exists("{$dest}.{$derp}.png")){
				$src[]="{$dest}.{$derp}.png";
				$derp ++;
			}
			
			if($derp < 1){
				echo "Failed to convert {$dest}<br />";
			} else {
				exec("convert -delay 25 -loop 0 -set dispose background ".implode(" ", $src)." {$dest}.gif", $out); // convert the frames to a gif
				echo "Saved {$derp} frame(s)<br />";
			}
			
			foreach ($src as $remove){
				if(file_exists($remove)) unlink($remove);
			}
			unlink($dest);
		} else {
			echo "Copy of ".$SPRAYID.".dat failed<br />";
		}
	}
	echo '<img src="/sprays/'.$SPRAYID.'.vtf.gif" />';
}
?>
